App\Library\Amazon\Classes\PersonalCareAppliances:
    xml_root_name: PersonalCareAppliances
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\PersonalCareAppliances\VariationDataAType
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\PersonalCareAppliances\UnitCountAType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        indications:
            expose: true
            access_type: public_method
            serialized_name: Indications
            accessor:
                getter: getIndications
                setter: setIndications
            type: string
        hairType:
            expose: true
            access_type: public_method
            serialized_name: HairType
            accessor:
                getter: getHairType
                setter: setHairType
            xml_list:
                inline: true
                entry_name: HairType
            type: array<string>
        skinType:
            expose: true
            access_type: public_method
            serialized_name: SkinType
            accessor:
                getter: getSkinType
                setter: setSkinType
            xml_list:
                inline: true
                entry_name: SkinType
            type: array<string>
        skinTone:
            expose: true
            access_type: public_method
            serialized_name: SkinTone
            accessor:
                getter: getSkinTone
                setter: setSkinTone
            xml_list:
                inline: true
                entry_name: SkinTone
            type: array<string>
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            xml_list:
                inline: true
                entry_name: MaterialType
            type: array<string>
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        flavor:
            expose: true
            access_type: public_method
            serialized_name: Flavor
            accessor:
                getter: getFlavor
                setter: setFlavor
            type: string
        coverage:
            expose: true
            access_type: public_method
            serialized_name: Coverage
            accessor:
                getter: getCoverage
                setter: setCoverage
            type: string
        finishType:
            expose: true
            access_type: public_method
            serialized_name: FinishType
            accessor:
                getter: getFinishType
                setter: setFinishType
            xml_list:
                inline: true
                entry_name: FinishType
            type: array<string>
        itemSpecialty:
            expose: true
            access_type: public_method
            serialized_name: ItemSpecialty
            accessor:
                getter: getItemSpecialty
                setter: setItemSpecialty
            xml_list:
                inline: true
                entry_name: ItemSpecialty
            type: array<string>
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        pattern:
            expose: true
            access_type: public_method
            serialized_name: Pattern
            accessor:
                getter: getPattern
                setter: setPattern
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        isACAdapterIncluded:
            expose: true
            access_type: public_method
            serialized_name: IsACAdapterIncluded
            accessor:
                getter: getIsACAdapterIncluded
                setter: setIsACAdapterIncluded
            type: boolean
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        handOrientation:
            expose: true
            access_type: public_method
            serialized_name: HandOrientation
            accessor:
                getter: getHandOrientation
                setter: setHandOrientation
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            xml_list:
                inline: true
                entry_name: Ingredients
            type: array<string>
        baseCurveRadius:
            expose: true
            access_type: public_method
            serialized_name: BaseCurveRadius
            accessor:
                getter: getBaseCurveRadius
                setter: setBaseCurveRadius
            type: App\Library\Amazon\Classes\LengthDimensionType
        shaftLength:
            expose: true
            access_type: public_method
            serialized_name: ShaftLength
            accessor:
                getter: getShaftLength
                setter: setShaftLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        shaftDiameter:
            expose: true
            access_type: public_method
            serialized_name: ShaftDiameter
            accessor:
                getter: getShaftDiameter
                setter: setShaftDiameter
            type: integer
        itemGender:
            expose: true
            access_type: public_method
            serialized_name: ItemGender
            accessor:
                getter: getItemGender
                setter: setItemGender
            type: string
        annualEnergyConsumption:
            expose: true
            access_type: public_method
            serialized_name: AnnualEnergyConsumption
            accessor:
                getter: getAnnualEnergyConsumption
                setter: setAnnualEnergyConsumption
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        euEnergyLabelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EuEnergyLabelEfficiencyClass
            accessor:
                getter: getEuEnergyLabelEfficiencyClass
                setter: setEuEnergyLabelEfficiencyClass
            type: string
        solidNetWeight:
            expose: true
            access_type: public_method
            serialized_name: SolidNetWeight
            accessor:
                getter: getSolidNetWeight
                setter: setSolidNetWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        countryString:
            expose: true
            access_type: public_method
            serialized_name: CountryString
            accessor:
                getter: getCountryString
                setter: setCountryString
            type: string
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        allergenInformation:
            expose: true
            access_type: public_method
            serialized_name: AllergenInformation
            accessor:
                getter: getAllergenInformation
                setter: setAllergenInformation
            xml_list:
                inline: true
                entry_name: AllergenInformation
            type: array<string>
        specialIngredients:
            expose: true
            access_type: public_method
            serialized_name: SpecialIngredients
            accessor:
                getter: getSpecialIngredients
                setter: setSpecialIngredients
            xml_list:
                inline: true
                entry_name: SpecialIngredients
            type: array<string>
        primaryIngredientCountryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: PrimaryIngredientCountryOfOrigin
            accessor:
                getter: getPrimaryIngredientCountryOfOrigin
                setter: setPrimaryIngredientCountryOfOrigin
            type: string
        primaryIngredientLocationProduced:
            expose: true
            access_type: public_method
            serialized_name: PrimaryIngredientLocationProduced
            accessor:
                getter: getPrimaryIngredientLocationProduced
                setter: setPrimaryIngredientLocationProduced
            type: string
        storageInstructions:
            expose: true
            access_type: public_method
            serialized_name: StorageInstructions
            accessor:
                getter: getStorageInstructions
                setter: setStorageInstructions
            type: string
        servingRecommendation:
            expose: true
            access_type: public_method
            serialized_name: ServingRecommendation
            accessor:
                getter: getServingRecommendation
                setter: setServingRecommendation
            type: string
        useByRecommendation:
            expose: true
            access_type: public_method
            serialized_name: UseByRecommendation
            accessor:
                getter: getUseByRecommendation
                setter: setUseByRecommendation
            type: string
        servingSize:
            expose: true
            access_type: public_method
            serialized_name: ServingSize
            accessor:
                getter: getServingSize
                setter: setServingSize
            type: App\Library\Amazon\Classes\ServingDimensionType
        manufacturerContactInformation:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerContactInformation
            accessor:
                getter: getManufacturerContactInformation
                setter: setManufacturerContactInformation
            type: string
        energyString:
            expose: true
            access_type: public_method
            serialized_name: EnergyString
            accessor:
                getter: getEnergyString
                setter: setEnergyString
            type: string
        totalFatString:
            expose: true
            access_type: public_method
            serialized_name: TotalFatString
            accessor:
                getter: getTotalFatString
                setter: setTotalFatString
            type: string
        saturatedFatString:
            expose: true
            access_type: public_method
            serialized_name: SaturatedFatString
            accessor:
                getter: getSaturatedFatString
                setter: setSaturatedFatString
            type: string
        monounsaturatedFatString:
            expose: true
            access_type: public_method
            serialized_name: MonounsaturatedFatString
            accessor:
                getter: getMonounsaturatedFatString
                setter: setMonounsaturatedFatString
            type: string
        polyunsaturatedFatString:
            expose: true
            access_type: public_method
            serialized_name: PolyunsaturatedFatString
            accessor:
                getter: getPolyunsaturatedFatString
                setter: setPolyunsaturatedFatString
            type: string
        totalCarbohydrateString:
            expose: true
            access_type: public_method
            serialized_name: TotalCarbohydrateString
            accessor:
                getter: getTotalCarbohydrateString
                setter: setTotalCarbohydrateString
            type: string
        sugarsString:
            expose: true
            access_type: public_method
            serialized_name: SugarsString
            accessor:
                getter: getSugarsString
                setter: setSugarsString
            type: string
        sugarAlcoholString:
            expose: true
            access_type: public_method
            serialized_name: SugarAlcoholString
            accessor:
                getter: getSugarAlcoholString
                setter: setSugarAlcoholString
            type: string
        starch:
            expose: true
            access_type: public_method
            serialized_name: Starch
            accessor:
                getter: getStarch
                setter: setStarch
            type: string
        dietaryFiberString:
            expose: true
            access_type: public_method
            serialized_name: DietaryFiberString
            accessor:
                getter: getDietaryFiberString
                setter: setDietaryFiberString
            type: string
        proteinString:
            expose: true
            access_type: public_method
            serialized_name: ProteinString
            accessor:
                getter: getProteinString
                setter: setProteinString
            type: string
        saltPerServingString:
            expose: true
            access_type: public_method
            serialized_name: SaltPerServingString
            accessor:
                getter: getSaltPerServingString
                setter: setSaltPerServingString
            type: string
        vitaminAString:
            expose: true
            access_type: public_method
            serialized_name: VitaminAString
            accessor:
                getter: getVitaminAString
                setter: setVitaminAString
            type: string
        vitaminCString:
            expose: true
            access_type: public_method
            serialized_name: VitaminCString
            accessor:
                getter: getVitaminCString
                setter: setVitaminCString
            type: string
        vitaminDString:
            expose: true
            access_type: public_method
            serialized_name: VitaminDString
            accessor:
                getter: getVitaminDString
                setter: setVitaminDString
            type: string
        vitaminEString:
            expose: true
            access_type: public_method
            serialized_name: VitaminEString
            accessor:
                getter: getVitaminEString
                setter: setVitaminEString
            type: string
        vitaminKString:
            expose: true
            access_type: public_method
            serialized_name: VitaminKString
            accessor:
                getter: getVitaminKString
                setter: setVitaminKString
            type: string
        thiaminString:
            expose: true
            access_type: public_method
            serialized_name: ThiaminString
            accessor:
                getter: getThiaminString
                setter: setThiaminString
            type: string
        vitaminB2:
            expose: true
            access_type: public_method
            serialized_name: VitaminB2
            accessor:
                getter: getVitaminB2
                setter: setVitaminB2
            type: string
        niacin:
            expose: true
            access_type: public_method
            serialized_name: Niacin
            accessor:
                getter: getNiacin
                setter: setNiacin
            type: string
        vitaminB6:
            expose: true
            access_type: public_method
            serialized_name: VitaminB6
            accessor:
                getter: getVitaminB6
                setter: setVitaminB6
            type: string
        folicAcid:
            expose: true
            access_type: public_method
            serialized_name: FolicAcid
            accessor:
                getter: getFolicAcid
                setter: setFolicAcid
            type: string
        vitaminB12:
            expose: true
            access_type: public_method
            serialized_name: VitaminB12
            accessor:
                getter: getVitaminB12
                setter: setVitaminB12
            type: string
        biotin:
            expose: true
            access_type: public_method
            serialized_name: Biotin
            accessor:
                getter: getBiotin
                setter: setBiotin
            type: string
        pantothenicAcid:
            expose: true
            access_type: public_method
            serialized_name: PantothenicAcid
            accessor:
                getter: getPantothenicAcid
                setter: setPantothenicAcid
            type: string
        potassiumString:
            expose: true
            access_type: public_method
            serialized_name: PotassiumString
            accessor:
                getter: getPotassiumString
                setter: setPotassiumString
            type: string
        chloride:
            expose: true
            access_type: public_method
            serialized_name: Chloride
            accessor:
                getter: getChloride
                setter: setChloride
            type: string
        calciumString:
            expose: true
            access_type: public_method
            serialized_name: CalciumString
            accessor:
                getter: getCalciumString
                setter: setCalciumString
            type: string
        phosphorusString:
            expose: true
            access_type: public_method
            serialized_name: PhosphorusString
            accessor:
                getter: getPhosphorusString
                setter: setPhosphorusString
            type: string
        magnesium:
            expose: true
            access_type: public_method
            serialized_name: Magnesium
            accessor:
                getter: getMagnesium
                setter: setMagnesium
            type: string
        ironString:
            expose: true
            access_type: public_method
            serialized_name: IronString
            accessor:
                getter: getIronString
                setter: setIronString
            type: string
        zinc:
            expose: true
            access_type: public_method
            serialized_name: Zinc
            accessor:
                getter: getZinc
                setter: setZinc
            type: string
        copper:
            expose: true
            access_type: public_method
            serialized_name: Copper
            accessor:
                getter: getCopper
                setter: setCopper
            type: string
        manganese:
            expose: true
            access_type: public_method
            serialized_name: Manganese
            accessor:
                getter: getManganese
                setter: setManganese
            type: string
        fluoride:
            expose: true
            access_type: public_method
            serialized_name: Fluoride
            accessor:
                getter: getFluoride
                setter: setFluoride
            type: string
        selenium:
            expose: true
            access_type: public_method
            serialized_name: Selenium
            accessor:
                getter: getSelenium
                setter: setSelenium
            type: string
        chromium:
            expose: true
            access_type: public_method
            serialized_name: Chromium
            accessor:
                getter: getChromium
                setter: setChromium
            type: string
        molybdenum:
            expose: true
            access_type: public_method
            serialized_name: Molybdenum
            accessor:
                getter: getMolybdenum
                setter: setMolybdenum
            type: string
        iodine:
            expose: true
            access_type: public_method
            serialized_name: Iodine
            accessor:
                getter: getIodine
                setter: setIodine
            type: string
        cholesterolString:
            expose: true
            access_type: public_method
            serialized_name: CholesterolString
            accessor:
                getter: getCholesterolString
                setter: setCholesterolString
            type: string
        sodiumString:
            expose: true
            access_type: public_method
            serialized_name: SodiumString
            accessor:
                getter: getSodiumString
                setter: setSodiumString
            type: string
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        bandSizeNum:
            expose: true
            access_type: public_method
            serialized_name: BandSizeNum
            accessor:
                getter: getBandSizeNum
                setter: setBandSizeNum
            type: App\Library\Amazon\Classes\LengthDimensionType
        cupSize:
            expose: true
            access_type: public_method
            serialized_name: CupSize
            accessor:
                getter: getCupSize
                setter: setCupSize
            type: string
